
$$TITLE = "Needle Figure Test"

' Default scale 200x200
'%SCALEX = 200
'%SCALEY = 200

Sub TestFigure( figure As ID2D1GeometrySink )
	' Sharp tip needles
	NeedleThinFigureAdd_c2d figure,  90
	'NeedleMidFigureAdd_c2d figure,   90
	'NeedleThickFigureAdd_c2d figure, 90

	' Soft tip needles
	'NeedleThinFigureAdd_c2d figure,  90,0,1
	'NeedleMidFigureAdd_c2d figure,   90,0,1
	'NeedleThickFigureAdd_c2d figure, 90,0,1

	'MyCustomNeedle( figure )
End Sub

Sub MyCustomNeedle( figure As ID2D1GeometrySink )
	Local params As NeedlePathParams

	' Defaults
	'params.center.x       = 0
	'params.center.y       = 0
	params.rotateDegrees  = 90 ' Good range 60 - 120

	params.baseRadius     = 0! / 200!
	params.baseWidth      = 20! / 200! * (1-params.baseRadius)

	params.tipType        = %NeedleTipType.Soft ' Default sharp
	params.tipRadius      = 100! / 200!
	params.tipWidth       = 10! / 200!
	params.tipLength      = 5! / 200!

	' Create's unit circle
	NeedleFigureAdd_c2d figure, params
End Sub
