
$$TITLE = "Reticle Arc Path Test"
%SCALEX = 200
%SCALEY = 200

Sub TestPath( figure As ID2D1TransformedGeometry )
	Local params As ReticleArcSinkParams

	params.sweepDegrees.first  = 0
	params.sweepDegrees.last  = 720
	params.radius.first        = .5
	params.radius.last        = .3
	'params.baseDegrees   = params.sweepDegrees.first
	params.markSide      = %ReticleArcMarks.Inside  '  None, Outside, Inside, Both
	params.markSize      = 10 / %SCALEY
	params.markDegrees   = 10
	'params.hideLine      = -1


	ReticleArcPathNew_c2d figure, factory, params

	TransformPath_c2d figure, factory, 0,0, %SCALEX,%SCALEY
End Sub
