
$$TITLE = "Needle Path Test"
%SCALEX = 200
%SCALEY = 200

Sub TestPath( figure As ID2D1TransformedGeometry )
	Local params As NeedlePathParams
	'NeedleThinPathNew_c2d figure, factory, 135
	'NeedleThinPathNew_c2d figure, factory, 45, .1, -1

	'NeedleMidPathNew_c2d figure, factory, 45
	'NeedleThickPathNew_c2d figure, factory, 80

	params.rotateDegrees  = 45

	params.baseRadius     = 0
	params.baseWidth      = .12 * (1-params.baseRadius)

	params.tipType        = %NeedleTipType.Soft
	params.tipRadius      = .5
	params.tipWidth       = .025
	params.tipLength      = .0125
	NeedlePathNew_c2d figure, factory, params

	TransformPath_c2d figure, factory, 0,0, %SCALEX,%SCALEY
End Sub
