
$$TITLE = "Puzzle Paths Test"
' Default scale 200x200
%SCALEX = 400
%SCALEY = 400

Sub TestPaths( figure() As ID2D1Geometry )
	Local i, j, lb1, ub1, lb2, ub2 As Long

	PuzzlePathsNew_c2d figure(), factory, 4, 0  ' 4x4 filled
	'PuzzlePathsNew_c2d figure(), factory, 4, -1 ' 4x4 hollow

	lb1 = LBound( figure(), 1 )
	ub1 = UBound( figure(), 1 )
	lb2 = LBound( figure(), 2 )
	ub2 = UBound( figure(), 2 )

	For i=lb1 To ub1
		For j=lb2 To ub2
			TransformPath_c2d figure(i,j), factory, 0,0, %SCALEX,%SCALEY
		Next
	Next
End Sub
